Package org.eclipse.jdt.apt.core.build

## Class JdtApt

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Java
      - - org.eclipse.jdt.apt.core.build.JdtApt

All Implemented Interfaces:
  `Cloneable`

    public class JdtApt
    extends org.apache.tools.ant.taskdefs.Java

Ant task for invoking the commandline apt builder Sample build.xml: <project name="test_eclipse" default="build" basedir="."> <taskdef name="apt" classname="org.eclipse.jdt.apt.core.build.JdtApt"/> <target name="build"> <apt workspace="C:\my_workspace" eclipseHome="C:\eclipse"/> </target> </project>

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.Java

`redirector, redirectorElement`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`JdtApt()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`
`void` `setEclipseHome​(File file)`
`void` `setWorkspace​(File file)`

### Methods inherited from class org.apache.tools.ant.taskdefs.Java

`addAssertions, addConfiguredRedirector, addEnv, addSysproperty, addSyspropertyset, checkConfiguration, clearArgs, createArg, createBootclasspath, createClasspath, createJvmarg, createModulepath, createPermissions, createUpgrademodulepath, createWatchdog, executeJava, executeJava, getCommandLine, getSysProperties, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, maybeSetResultPropertyValue, run, setAppend, setArgs, setClassname, setClasspath, setClasspathRef, setCloneVm, setDir, setDiscardError, setDiscardOutput, setError, setErrorProperty, setFailonerror, setFork, setInput, setInputString, setJar, setJvm, setJvmargs, setJVMVersion, setLogError, setMaxmemory, setModule, setModulepath, setModulepathRef, setNewenvironment, setOutput, setOutputproperty, setResultProperty, setSourceFile, setSpawn, setTimeout, setupRedirector`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdtApt

    public JdtApt()

### Method Detail

#### setWorkspace

    public void setWorkspace​(File file)

#### setEclipseHome

    public void setEclipseHome​(File file)

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.taskdefs.Java`
Throws:
  `org.apache.tools.ant.BuildException`